## emacs-calfw 2.0

=== Makefile ===
# Taken from radian
SHELL := bash

ELFILES := $(wildcard *.el)
ELCS    := $(ELFILES:.el=.elc)
VERSION ?=
CMD ?=

PACKAGE_LINT=@(emacs --batch --eval '(princ (file-name-directory (locate-library "package-lint")))')
PACKAGE_LINT="$(HOME)/.config/emacs/.elocal/straight/repos/package-lint/"

.PHONY: all
all: $(ELCS)

%.elc: %.el
	@echo ">>> Processing $< ..."
	# checkdoc
	-@emacs --batch -L . \
	  --eval "(require 'checkdoc)" \
	  --eval "(checkdoc-file \"$<\")"

	# Package lint
	-@emacs --batch -L "${PACKAGE_LINT}" \
		--eval "(with-temp-buffer (insert-file-contents \"$<\") \
(emacs-lisp-mode) (require 'package-lint) (package-lint-buffer))";

	# checkindent
	-@tmpdir="$$(mktemp -d)"; \
	emacs --batch \
	    --eval "(find-file \"$<\") (emacs-lisp-mode)" \
	    --eval "(let ((inhibit-message t)) (indent-region (point-min) (point-max)))" \
	    --eval "(write-file \"$$tmpdir/indented.el\")"; \
	(diff <(cat "$<" | nl -v1 -ba | sed 's/\t/: /') \
	      <(cat "$$tmpdir/indented.el" | nl -v1 -ba | sed 's/\t/: /')) \
	| grep -F ">" | grep -o "[a-z].*" | grep . && exit 1 || true

	@# longlines
	@#-@awk '(length($$0) >= 80 && $$0 !~ /https?:\/\//) { printf "%s:%d: %s\n", FILENAME, NR, $$0 }' "$<" | (! grep .)

	# compile
	-@emacs --batch -L . -f batch-byte-compile $<

	# clean
	-@rm -f $@

.PHONY: clean
clean: ## Remove build artifacts
	@rm -f *.elc

## emacs-calfw 1.2

=== debian/changelog ===
emacs-calfw (1.2-2) unstable; urgency=low

  * fix remove script. (Closes: #640610, #641016) 

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 08 Sep 2011 19:28:27 +0900

emacs-calfw (1.2-1) unstable; urgency=low

  * New upstream version.
  * fix byte-compiling issues. (Closes: #634740)
    - Choose target *.el explicitly when byte-compiling.
    - Depends on only emacs (>= 22).

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 25 Jul 2011 08:42:17 +0900

emacs-calfw (1.1-1) unstable; urgency=low

  * Initial release (Closes: #631928)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 05 Jul 2011 23:46:42 +0900

=== debian/control ===
Source: emacs-calfw
Section: lisp
Priority: extra
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2
Homepage: https://github.com/kiwanami/emacs-calfw/
Vcs-Git: git://anonscm.debian.org/collab-maint/emacs-calfw.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/emacs-calfw.git;a=summary

Package: emacs-calfw
Architecture: all
Depends: ${misc:Depends}, emacs23 | emacs22
Suggests: org-mode, emacs-calfw-howm
Breaks: emacs-calfw-howm (<= 1.2-1)
Description: calendar framework for Emacs
 This program displays a calendar view in the Emacs buffer,
 which also work with org-agenda, google calendar, and ical.

Package: emacs-calfw-howm
Architecture: all
Depends: ${misc:Depends}, emacs-calfw (= ${binary:Version}), howm
Suggests: elscreen
Description: calendar framework for Emacs (howm add-on)
 This program displays a calendar view in the Emacs buffer,
 which also work with org-agenda, google calendar, and ical.
 .
 This sub package provides support for using with howm.

## emacs-calfw 1.3

=== debian/changelog ===
emacs-calfw (1.3-1) unstable; urgency=low

  * New upstream version.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 13 Oct 2011 21:40:47 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.2
 Homepage: https://github.com/kiwanami/emacs-calfw/
 Vcs-Git: git://anonscm.debian.org/collab-maint/emacs-calfw.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/emacs-calfw.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git;a=summary
 
 Package: emacs-calfw
 Architecture: all

## emacs-calfw 1.3+git20111208

=== debian/changelog ===
emacs-calfw (1.3+git20111208-1) unstable; urgency=low

  * sync with upstream git repository.
  * fix startup script. (Closes: #671554)
  * leave *.el in the flavour directory for help system. (Closes: #671575)
  * drop support for obsoleted flavor emacs22
    to get rid of org-agenda issue. (Closes: #664815)
  * New Standard-Version: 3.9.3

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 15 Jun 2012 19:48:51 +0900

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/kiwanami/emacs-calfw/
 Vcs-Git: git://anonscm.debian.org/collab-maint/emacs-calfw.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git
 
 Package: emacs-calfw
 Architecture: all
-Depends: ${misc:Depends}, emacs23 | emacs22
+Depends: ${misc:Depends}, emacs23
 Suggests: org-mode, emacs-calfw-howm
 Breaks: emacs-calfw-howm (<= 1.2-1)
 Description: calendar framework for Emacs

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://githubredir.debian.net/github/kiwanami/emacs-calfw /v(.*).tar.gz

## emacs-calfw 1.3+git20140408

=== debian/changelog ===
emacs-calfw (1.3+git20140408-1) unstable; urgency=medium

  * sync with upstream git repository.
  * fix remove script to purge emacs23 cleanly. (Closes: #642595)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sun, 25 May 2014 14:40:36 +0900

emacs-calfw (1.3+git20140316-2) unstable; urgency=medium

  * revert dependencies to make co-installable
    with older emacsen. (Closes: #743032)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sun, 30 Mar 2014 12:23:06 +0900

emacs-calfw (1.3+git20140316-1) unstable; urgency=medium

  * sync with upstream git repository.
  * fix dependencies (now Conflicts: emacs23). (Closes: #741081)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 27 Mar 2014 10:50:41 +0900

emacs-calfw (1.3+git20140302-1) unstable; urgency=medium

  * sync with upstream git repository.
  * New Standards-Version: 3.9.5

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 06 Mar 2014 19:30:43 +0900

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: https://github.com/kiwanami/emacs-calfw/
 Vcs-Git: git://anonscm.debian.org/collab-maint/emacs-calfw.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git
 
 Package: emacs-calfw
 Architecture: all
-Depends: ${misc:Depends}, emacs23
+Depends: ${misc:Depends}, emacs24
 Suggests: org-mode, emacs-calfw-howm
 Breaks: emacs-calfw-howm (<= 1.2-1)
 Description: calendar framework for Emacs

## emacs-calfw 1.3+git20141031

=== debian/changelog ===
emacs-calfw (1.3+git20141031-2) unstable; urgency=medium

  * fix RC installation bug. (Closes: #769514)
    - emacsen-install script now checks dependency elisps.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 26 Nov 2014 09:02:43 +0900

emacs-calfw (1.3+git20141031-1) unstable; urgency=medium

  * sync with upstream git repostiory.

 -- KURASHIKI Satoru <lurdan@@gmail.com>  Sat, 31 Oct 2014 23:52:45 +0900

emacs-calfw (1.3+git20141005-1) unstable; urgency=medium

  * sync with upstream git repository.
  * New Standards-Version: 3.9.6

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 22 Oct 2014 14:00:06 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/kiwanami/emacs-calfw/
 Vcs-Git: git://anonscm.debian.org/collab-maint/emacs-calfw.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git

## emacs-calfw 1.4+git20150504

=== debian/changelog ===
emacs-calfw (1.4+git20150504-1) unstable; urgency=medium

  * sync with upstream git repository.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 11 May 2015 14:04:43 +0900

## emacs-calfw 1.5

=== debian/changelog ===
emacs-calfw (1.5-1) unstable; urgency=medium

  * New upstream release.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 12 Nov 2015 19:11:11 +0900

emacs-calfw (1.4+git20150901-1) unstable; urgency=medium

  * sync with upstream git repository.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 15 Sep 2015 11:10:36 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
-Build-Depends: debhelper (>= 8.0.0)
+Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.6
 Homepage: https://github.com/kiwanami/emacs-calfw/
 Vcs-Git: git://anonscm.debian.org/collab-maint/emacs-calfw.git

## emacs-calfw 1.5+git20160303

=== debian/changelog ===
emacs-calfw (1.5+git20160303-2) unstable; urgency=medium

  * fix dependencies to Support emacs25. (Closes: #846986)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 05 Dec 2016 13:51:34 +0900

emacs-calfw (1.5+git20160303-1) unstable; urgency=medium

  * sync with upstream git repository.
  * New Standards-Version: 3.9.8

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 15 Jul 2016 15:03:23 +0900

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/kiwanami/emacs-calfw/
-Vcs-Git: git://anonscm.debian.org/collab-maint/emacs-calfw.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git
+Vcs-Git: https://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git
 
 Package: emacs-calfw
 Architecture: all
-Depends: ${misc:Depends}, emacs24
+Depends: ${misc:Depends}, emacs25-nox | emacs25 | emacs24
 Suggests: org-mode, emacs-calfw-howm
 Breaks: emacs-calfw-howm (<= 1.2-1)
 Description: calendar framework for Emacs

## emacs-calfw 1.6%2Bgit20170704

=== debian/changelog ===
emacs-calfw (1.6+git20170704-1) unstable; urgency=medium

  * sync with upstream git repository.
  * New Standards-Version: 4.0.0

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 07 Jul 2017 15:59:37 +0900

## emacs-calfw 1.6%2Bgit20180118

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: emacs-calfw
 Section: lisp
-Priority: extra
-Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 12), debhelper-compat (= 12)
+Standards-Version: 4.3.0
 Homepage: https://github.com/kiwanami/emacs-calfw/
-Vcs-Git: https://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git
+Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-calfw.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-calfw
 
 Package: emacs-calfw
 Architecture: all
-Depends: ${misc:Depends}, emacs25-nox | emacs25 | emacs24
+Depends: ${misc:Depends}, emacs
 Suggests: org-mode, emacs-calfw-howm
 Breaks: emacs-calfw-howm (<= 1.2-1)
 Description: calendar framework for Emacs

## emacs-calfw 1.6+git20170704

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: emacs-calfw
 Section: lisp
-Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 12), debhelper-compat (= 12)
-Standards-Version: 4.3.0
+Priority: extra
+Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 4.0.0
 Homepage: https://github.com/kiwanami/emacs-calfw/
-Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-calfw.git
-Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-calfw
+Vcs-Git: https://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git
 
 Package: emacs-calfw
 Architecture: all
-Depends: ${misc:Depends}, emacs
+Depends: ${misc:Depends}, emacs25-nox | emacs25 | emacs24
 Suggests: org-mode, emacs-calfw-howm
 Breaks: emacs-calfw-howm (<= 1.2-1)
 Description: calendar framework for Emacs

## emacs-calfw 1.6+git20180118

=== debian/changelog ===
emacs-calfw (1.6+git20180118-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:50:28 +0800

emacs-calfw (1.6+git20180118-1) unstable; urgency=medium

  * sync with upstream git repository.
  * New Standards-Version: 4.3.0
  * Depends on emacs metapackage. (Closes: #905007)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 09 Jan 2019 14:28:40 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: emacs-calfw
 Section: lisp
-Priority: extra
+Priority: optional
 Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 12), debhelper-compat (= 12)
+Standards-Version: 4.3.0
 Homepage: https://github.com/kiwanami/emacs-calfw/
-Vcs-Git: https://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/emacs-calfw.git
+Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-calfw.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-calfw
 
 Package: emacs-calfw
 Architecture: all
-Depends: ${misc:Depends}, emacs25-nox | emacs25 | emacs24
+Depends: ${misc:Depends}, emacs
 Suggests: org-mode, emacs-calfw-howm
 Breaks: emacs-calfw-howm (<= 1.2-1)
 Description: calendar framework for Emacs

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://github.com/kiwanami/emacs-calfw/releases .*[^n]/v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## emacs-calfw 2.0

=== debian/changelog ===
emacs-calfw (2.0-2) unstable; urgency=medium

  * debian/control: Use dh_elpa to generate elpa-calfw-howm dependencies.

 -- Arto Jantunen <viiru@debian.org>  Mon, 03 Nov 2025 17:45:37 +0200

emacs-calfw (2.0-1) unstable; urgency=low

  * Adopt package back into the debian-emacsen team (Closes: #1053453).
  * debian/watch: Convert to version 5 format.
  * Convert to dh-elpa.
  * debian/control: Add transitional dummy packages.
  * debian/control: Bump debhelper compat level to 13.
  * debian/copyright: Update format specifier.
  * New upstream version 2.0.
  * debian/rules: Disable upstream Makefile.
  * Include calfw-compat.el.
  * debian/control: Drop org-mode from Suggests, it's built-in.
  * debian/control: Bump Standards-Version to 4.7.2, no changes.
  * Drop obsolete conffiles from the transitional packages.

 -- Arto Jantunen <viiru@debian.org>  Sun, 26 Oct 2025 07:54:07 +0200

emacs-calfw (1.6+git20180118-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer field to QA Group.
    - Acked by previous maintainer.
      He intends to orphan package, but he does not have his time.
      Thanks to Satoru KURASHIKI <lurdan@gmail.com> for previous works.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 04 Oct 2023 20:41:33 +0900

=== debian/control ===
Source: emacs-calfw
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Arto Jantunen <viiru@debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa
Standards-Version: 4.7.2
Homepage: https://github.com/kiwanami/emacs-calfw/
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-calfw.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-calfw

Package: elpa-calfw
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Suggests: emacs-calfw-howm
Breaks: emacs-calfw-howm (<= 1.2-1)
Description: calendar framework for Emacs
 This program displays a calendar view in the Emacs buffer,
 which also work with org-agenda, google calendar, and ical.

Package: elpa-calfw-howm
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Suggests: elscreen
Description: calendar framework for Emacs (howm add-on)
 This program displays a calendar view in the Emacs buffer,
 which also work with org-agenda, google calendar, and ical.
 .
 This sub package provides support for using with howm.

Package: emacs-calfw
Architecture: all
Depends: ${misc:Depends}, elpa-calfw (= ${binary:Version})
Section: oldlibs
Description: Transitional dummy package for elpa-calfw
 This is a transitional dummy package. It can safely be removed.

Package: emacs-calfw-howm
Architecture: all
Depends: ${misc:Depends}, elpa-calfw-howm (= ${binary:Version})
Section: oldlibs
Description: Transitional dummy package for elpa-calfw-howm
 This is a transitional dummy package. It can safely be removed.

=== debian/watch ===
Version: 5

Template: Github
Owner: kiwanami
Project: emacs-calfw
